<?php

namespace App\Filament\Resources\ClientResource\Pages;

use App\Filament\Resources\ClientResource;
use Filament\Actions;
use Filament\Resources\Pages\EditRecord;
use Illuminate\Contracts\Support\Htmlable;

class EditClient extends EditRecord
{
    protected static string $resource = ClientResource::class;

    protected static ?string $navigationIcon = 'heroicon-m-user-circle';
    protected static ?string $navigationLabel = 'Müşteri Bilgileri';

    public function getTitle(): string | Htmlable
    {
        return self::$navigationLabel;
    }

    public function getBreadcrumb(): string
    {
        return self::$navigationLabel;
    }

    protected function getHeaderActions(): array
    {
        return [
            // Actions\DeleteAction::make(),
        ];
    }
}
